{
    allowedItemIdentifiers = (
        DrawingMode, BringToFront, SendToBack, Lock, Unlock, Group, Ungroup, ShowInfo, ShowSelection, ShowPalette, 
        LayoutGraph, LayoutSelection, SnapToGrid, NSToolbarShowFontsItem, NSToolbarShowColorsItem, NSToolbarPrintItem, OSAScriptTemplate,
        NSToolbarSeparatorItem, NSToolbarSpaceItem, NSToolbarFlexibleSpaceItem, NSToolbarCustomizeToolbarItem
    ); 
    defaultItemIdentifiers = (
        DrawingMode, ShowInfo, ShowSelection, ShowPalette, NSToolbarSeparatorItem,
        BringToFront, SendToBack, Lock, Unlock
    ); 
    itemInfoByIdentifier = {
        BringToFront = {
            action = "bringToFront:"; 
            imageName = BringToFront; 
            label = "前面へ"; 
            paletteLabel = "前面へ移動"; 
            toolTip = "前面へ移動";
            target = firstResponder;
        }; 
        SendToBack = {
            action = "sendToBack:"; 
            imageName = SendToBack; 
            label = "背面へ"; 
            paletteLabel = "背面へ移動"; 
            toolTip = "背面へ移動"; 
            target = firstResponder;
        }; 
        Lock = {
            action = "lock:"; 
            imageName = Locked; 
            label = "ロック"; 
            paletteLabel = "ロック"; 
            toolTip = "ロック"; 
            target = firstResponder;
        }; 
        Unlock = {
            action = "unlock:"; 
            imageName = Unlocked; 
            label = "ロック解除"; 
            paletteLabel = "ロック解除"; 
            toolTip = "ロック解除"; 
            target = firstResponder;
        }; 
        Group = {
            action = "group:"; 
            imageName = Group; 
            label = "グループ"; 
            paletteLabel = "グループ"; 
            toolTip = "グループ"; 
            target = firstResponder;
        }; 
        Ungroup = {
            action = "ungroup:"; 
            imageName = Ungroup; 
            label = "グループ解除"; 
            paletteLabel = "グループ解除"; 
            toolTip = "グループ解除"; 
            target = firstResponder;
        }; 
        SnapToGrid = {
            action = "toggleSnapsToGrid:"; 
            imageName = SnapToGrid; 
            label = "自動揃え"; 
            paletteLabel = "グリッドに自動揃え"; 
            toolTip = "グリッドに自動揃えを有効／無効にする"; 
            target = firstResponder;
        }; 
        ShowInfo = {
            action = "showInspectorPanelAction:"; 
            imageName = inspectorButton; 
            label = "情報"; 
            paletteLabel = "情報"; 
            toolTip = "情報を見る"; 
            target = firstResponder;
        }; 
        ShowSelection = {
            action = "showSelectionPanelAction:"; 
            imageName = selectionButton; 
            label = "選択部分"; 
            paletteLabel = "選択部分パネル"; 
            toolTip = "選択部分パネル"; 
            target = firstResponder;
        }; 
       LayoutGraph = {
            action = "autoLayout:"; 
            imageName = AutoLayout; 
            label = "レイアウト"; 
            paletteLabel = "グラフをレイアウトする"; 
            toolTip = "グラフ全体を自動レイアウトする"; 
            target = firstResponder;
        }; 
        LayoutSelection = {
            action = "autoLayoutSelection:"; 
            imageName = AutoLayoutSelection; 
            label = "レイアウト"; 
            paletteLabel = "選択部分をレイアウトする"; 
            toolTip = "選択部分を自動レイアウトする"; 
            target = firstResponder;
        }; 
        
        ShowPalette = {
            action = "showPaletteWindowAction:"; 
            imageName = palettesButton;
            label = "パレット";
            paletteLabel = "パレットを表示"; 
            toolTip = "パレットを表示"; 
            target = firstResponder;
        }; 
        
        DrawingMode = {
            paletteLabel = "ドローモード";
            label = "ドローモード";
        };

        OSAScriptTemplate = {
            label = "%@";
            paletteLabel = "スクリプト： %@";
            toolTip = "AppleScript \"%@\" を実行";
        };
   }; 
}